Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ResourceBackgroundQueue::Listener Class Reference

This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions
virtual void | operationCompleted (BackgroundProcessTicket ticket)=0
| Called when a requested operation completes, queued into main thread.
virtual void | operationCompletedInThread (BackgroundProcessTicket ticket)
| Called when a requested operation completes, immediate in background thread.
virtual | ~Listener ()
| Need virtual destructor in case subclasses use it.

## Detailed Description

This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses.

Note:
  For simplicity, these callbacks are not issued direct from the background loading thread, they are queued themselves to be sent from the main thread so that you don't have to be concerned about thread safety.

Definition at line 92 of file OgreResourceBackgroundQueue.h.

## Constructor & Destructor Documentation

virtual Ogre::ResourceBackgroundQueue::Listener::~Listener | ( |  | ) | `[virtual]`

| Need virtual destructor in case subclasses use it. Definition at line 112 of file OgreResourceBackgroundQueue.h.

## Member Function Documentation

virtual void Ogre::ResourceBackgroundQueue::Listener::operationCompleted | ( | BackgroundProcessTicket | ticket | ) | `[pure virtual]`

| Called when a requested operation completes, queued into main thread. Note: For simplicity, this callback is not issued direct from the background loading thread, it is queued to be sent from the main thread so that you don't have to be concerned about thread safety.

virtual void Ogre::ResourceBackgroundQueue::Listener::operationCompletedInThread | ( | BackgroundProcessTicket | ticket | ) | `[virtual]`

| Called when a requested operation completes, immediate in background thread. Note: This is the advanced version of the background operation notification, it happens immediately when the background operation is completed, and your callback is executed in the background thread. Therefore if you use this version, you have to be aware of thread safety issues and what you can and cannot do in your callback implementation. Definition at line 110 of file OgreResourceBackgroundQueue.h.

The documentation for this class was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:13 2008